body {
    font-family: Arial, sans-serif;
    background-color: #f0f0f0;
    margin: 0;
    padding: 0;
    height: 100vh;
    display: flex;
    flex-direction: column;
}
header {
    background-color: black;
    color: white;
    padding: 20px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    position: fixed;
    top: 0;
    width: 100%;
    z-index: 1000;
}
header .title {
    margin-left: 11%;
    cursor: pointer;
    font-size: 1.1em; /* 글자 크기 10% 증가 */
}
header .actions {
    margin-right: 14%; /* 왼쪽으로 약간 이동 */
}
header .actions a {
    font-size: 1.0em; /* 글자 크기 10% 증가 */
    color: white; /* 글자 색상 흰색 유지 */
    margin-left: 11px; /* 링크 사이에 간격 추가 */
}
.container {
    padding: 80px 20px 20px 20px; /* 헤더 높이만큼 패딩 추가 */
    flex: 1;
    display: flex;
    justify-content: center;
}
.sub-title {
    background-color: #f0f0f0;
    padding: 10px 20px;
    position: sticky;
    top: 60px;
    z-index: 999;
    font-size: 16px;
    font-weight: normal;
    text-align: center; /* 가운데 정렬 */
    width: 100%;
    border-bottom: 1px solid #ccc;
}
.feed {
    display: flex;
    flex-direction: column;
    gap: 20px;
    max-width: 600px;
    width: 100%;
    align-items: center;
}
.feed-item {
    border: 1px solid #ccc;
    border-radius: 10px;
    padding: 20px;
    box-shadow: 2px 2px 10px rgba(0, 0, 0, 0.1);
    background-color: white;
    display: flex;
    flex-direction: column;
    align-items: center;
}
.feed-item img {
    max-width: 100%;
    border-radius: 10px;
    cursor: pointer;
}
.feed-item p {
    margin: 5px 0;
    text-align: left;
    width: 100%;
}
.feed-item .uploader-name {
    font-weight: bold;
    cursor: pointer;
}
.modal {
    display: none;
    position: fixed;
    z-index: 1;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    overflow: auto;
    background-color: rgba(0, 0, 0, 0.8);
    display: flex;
    justify-content: center;
    align-items: center;
}
.modal-content {
    margin: auto;
    padding: 20px;
    border: 1px solid #888;
    max-width: 75%;
    max-height: 75%;
}
.close {
    color: white;
    position: absolute;
    top: 10px;
    right: 25px;
    font-size: 35px;
    font-weight: bold;
}
.close:hover,
.close:focus {
    color: #bbb;
    text-decoration: none;
    cursor: pointer;
}
.floating-button {
    position: fixed;
    bottom: 20px;
    right: 20px;
    background-color: #FF5733;
    color: white;
    border: none;
    border-radius: 50%;
    width: 50px;
    height: 50px;
    font-size: 24px;
    display: flex;
    justify-content: center;
    align-items: center;
    cursor: pointer;
    box-shadow: 2px 2px 10px rgba(0, 0, 0, 0.3);
}
.like-button {
    cursor: pointer;
}